* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow: hidden;
}
html {
  background-color: #868e96;
}
body {
  height: 100vh;
  margin: 0 auto;
  font-family: "Poppins", sans-serif;
}
a {
  color: #000;
  text-decoration: none;
}
.share {
  color: #fff;
}
ul li {
  list-style: none;
  cursor: pointer;
}
ul li:hover {
  background-color: #555;
}
.show-header {
  background-color: #555;
}
box-icon {
  fill: #fff;
}
.header-paint {
  position: relative;
  width: 100%;
  background-color: #212529;
  color: #fff;
  z-index: 20;
}
.header-paint ul {
  display: flex;
}
.header-paint ul li {
  padding: 5px 1rem;

  margin-right: 5%;
}
.cover-header-paint--new {
  position: absolute;
  top: 4%;
  width: 100%;
  height: 100vh;
  opacity: 0;
  visibility: hidden;
  z-index: 20;
}
.cover-header-paint--edit {
  position: absolute;
  top: 4%;
  margin-left: 8.2%;
  width: 100%;
  height: 100vh;
  opacity: 0;
  visibility: hidden;
  z-index: 20;
}
.file-paint,
.edit-paint {
  width: 8%;
  font-size: 0.8rem;
  background-color: #e9ecef;
  color: #000;
  box-shadow: 5px 5px 3px 3px rgb(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  cursor: pointer;
}
#new,
#clear,
#save,
#rotate {
  padding: 5px 1rem;
}

.file-paint p:hover,
.edit-paint p:hover {
  background-color: #228be6;
}
#export a {
  padding: 1rem;
}
.show-file-paint {
  opacity: 1;
  visibility: visible;
}
.show-edit-paint {
  opacity: 1;
  visibility: visible;
}
.show-function-tools {
  position: relative;
  width: 100%;
  padding: 7px 10px;
  display: flex;
  align-items: center;
  background-color: #495057;
  color: #fff;
  z-index: 10;
}
.warning-save {
  position: absolute;
  right: 0;
  margin-right: 5px;
}
.head-show-tool {
  display: flex;
  align-items: center;
  gap: 5px;
}
.tools-paint {
  position: absolute;
  top: 0;
  width: 6rem;
  height: 100%;
  margin-top: 6rem;
  z-index: 10;
}
.tools-paint ul {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 1rem 0;
  background-color: #343a40;
}
.pencil,
.eraser,
.image {
  width: 80%;
  padding-top: 0.5rem;
  margin-bottom: 0.5rem;
  background-color: #495057;
}
.tools-paint ul li:hover {
  background-color: #adb5bd;
  cursor: pointer;
}

.active-tool,
.active-cpn {
  background-color: #adb5bd;
}
#canvas {
  margin-top: 1.2rem;
  margin-right: auto;
  margin-left: auto;
  display: block;
  background-color: #fff;
}
.info-paint {
  position: absolute;
  right: 0;
  width: 15rem;
  height: 100%;
  margin-top: 5rem;
  margin-right: 1%;
  padding: 1rem 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 10;
}
.color-paint,
.infomation-paint {
  width: 100%;
  margin-bottom: 2rem;
  background-color: #343a40;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
}
.inactive-color-paint {
  opacity: 0.5;
  pointer-events: none;
}
.head-color,
.head-infomation {
  width: 100%;
  padding: 5px 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #495057;
  color: #fff;
}
.showInfor {
  transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  -o-transform: rotate(180deg);
}
.body-infomation,
.body-color {
  margin-top: 10px;
  color: #fff;
}
.body-infomation,
.body-color {
  opacity: 0;
  visibility: hidden;
  height: 0;
}
.show-body-infomation,
.show-body-color {
  opacity: 1;
  visibility: visible;
  height: 60px;
}
#color {
  margin-top: 10px;
}
/* //FUNCTION TOOLS CSS  */
.func-pencil {
  margin-left: 5rem;
  display: flex;
  width: 10rem;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s linear;
  -webkit-transition: 0.5s linear;
  -moz-transition: 0.5s linear;
  -ms-transition: 0.5s linear;
  -o-transition: 0.5s linear;
}
.opacity {
  border-radius: 5px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}
.func-pencil-other {
  display: flex;
  gap: 5px;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
}
.show-func-pencil {
  opacity: 1;
  visibility: visible;
}
.handler-pencil {
  margin-left: 10px;
  width: 50%;
  display: flex;
  justify-content: space-between;
  background-color: #000;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}
.handler-pencil button {
  padding: 0 5px;
}
.wrap-newCanvas,
.wrap-editCanvas {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  background-color: rgb(85, 85, 85, 0.5);
}
.contain-newCanvas,
.contain-editCanvas {
  position: fixed;
  top: 30%;
  left: 40%;
  width: 300px;
  height: 300px;
  padding: 2rem 1rem;
  background-color: #fff;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  -moz-transition: 0.5s;
  -ms-transition: 0.5s;
  -o-transition: 0.5s;
  z-index: 10000;
}
.contain-editCanvas {
  text-align: center;
}
.show-newCanvas {
  opacity: 1;
  visibility: visible;
}
.contain-newCanvas h1 {
  margin-bottom: 20px;
}
.select-newCanvas,
.select-editCanvas {
  margin-bottom: 10px;
}
.select-newCanvas button,
.select-editCanvas button {
  padding: 0 1rem;
  cursor: pointer;
}
.accept-newCanvas,
.accept-editCanvas {
  text-align: center;
}
.accept-newCanvas button,
.accept-editCanvas button {
  margin-top: 5px;
  padding: 5px 1rem;
  border: none;
  background-color: #74c0fc;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
}
.accept-editCanvas button {
  margin-top: 20px;
}
.image-head {
  position: relative;
}
input[type="file"] {
  position: absolute;
  top: 20%;
  left: 10%;
  width: 80px;
  height: 100%;
  opacity: 0;
  z-index: 1;
  cursor: pointer;
}
